com.smartgwt.client.widgets.toolbar

## Class ToolStripGroup

- java.lang.Object
- - com.google.gwt.user.client.ui.UIObject
  - - com.google.gwt.user.client.ui.Widget
    - - com.smartgwt.client.widgets.BaseWidget
      - - com.smartgwt.client.widgets.Canvas
        - - com.smartgwt.client.widgets.layout.Layout
          - - com.smartgwt.client.widgets.layout.VLayout
            - - com.smartgwt.client.widgets.toolbar.ToolStripGroup

- All Implemented Interfaces:
    com.google.gwt.event.logical.shared.HasAttachHandlers, com.google.gwt.event.shared.HasHandlers, com.google.gwt.user.client.EventListener, com.google.gwt.user.client.ui.HasVisibility, com.google.gwt.user.client.ui.IsWidget, LogicalStructure, HasClearHandlers, HasClickHandlers, HasDoubleClickHandlers, HasDragMoveHandlers, HasDragRepositionMoveHandlers, HasDragRepositionStartHandlers, HasDragRepositionStopHandlers, HasDragResizeMoveHandlers, HasDragResizeStartHandlers, HasDragResizeStopHandlers, HasDragStartHandlers, HasDragStopHandlers, HasDropHandlers, HasDropMoveHandlers, HasDropOutHandlers, HasDropOverHandlers, HasFocusChangedHandlers, HasHoverHandlers, HasHoverHiddenHandlers, HasKeyDownHandlers, HasKeyPressHandlers, HasMouseDownHandlers, HasMouseMoveHandlers, HasMouseOutHandlers, HasMouseOverHandlers, HasMouseStillDownHandlers, HasMouseUpHandlers, HasMouseWheelHandlers, HasMovedHandlers, HasParentMovedHandlers, HasResizedHandlers, HasRightMouseDownHandlers, HasRuleContextChangedHandlers, HasScrolledHandlers, HasShowContextMenuHandlers, HasVisibilityChangedHandlers, HasMembersChangedHandlers
  Direct Known Subclasses:
    RibbonGroup

      public class ToolStripGroup
      extends VLayout

  A widget that groups other controls for use in `tool-strips`.

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from class com.google.gwt.user.client.ui.UIObject

      `com.google.gwt.user.client.ui.UIObject.DebugIdImpl, com.google.gwt.user.client.ui.UIObject.DebugIdImplEnabled`

  - ### Field Summary

    - ### Fields inherited from class com.smartgwt.client.widgets.BaseWidget

      `config, configOnly, factoryCreated, factoryProperties, id, nativeObject, scClassName`

    - ### Fields inherited from class com.google.gwt.user.client.ui.UIObject

      `DEBUG_ID_PREFIX`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `ToolStripGroup()`
    `ToolStripGroup(com.google.gwt.core.client.JavaScriptObject jsObj)`

  - ### Method Summary

    All Methods Static Methods Instance Methods Concrete Methods Deprecated Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `addControl(Canvas control)` Adds a control to this toolStripGroup, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
    `void` | `addControl(Canvas control, java.lang.Integer index)` Adds a control to this toolStripGroup, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
    `void` | `addControls(Canvas... controls)` Adds an array of controls to this group, creating new `columns` as necessary, according to each control's `rowSpan` value and the group's `numRows` value.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, Canvas defaults)` Changes the defaults for Canvas AutoChildren named `autoChildName`.
    `static void` | `changeAutoChildDefaults(java.lang.String autoChildName, FormItem defaults)` Changes the defaults for FormItem AutoChildren named `autoChildName`.
    `protected com.google.gwt.core.client.JavaScriptObject` | `create()`
    `java.lang.Boolean` | `getAutoSizeToTitle()` By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible.
    `HLayout` | `getBody()` HLayout autoChild that manages multiple `VLayouts` containing controls.
    `java.lang.String` | `getBodyConstructor()` Smart GWT class for the body.
    `VLayout` | `getColumnLayout()` Note : This API is non-functional (always returns null) and exists only to make you aware that this MultiAutoChild exists.
    `Layout` | `getControlColumn(Canvas control)` Return the `column widget` that contains the passed control.
    `Canvas[]` | `getControls()` The array of controls to show in this group.
    `Label` | `getLabel()` AutoChild `Label` used to display the `title text` for this group.
    `java.lang.String` | `getLabelConstructor()` Smart GWT class for the `title label` AutoChild.
    `HLayout` | `getLabelLayout()` HLayout autoChild that houses the `label` in which the `title text` is displayed.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `getLogicalStructure()` Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `int` | `getNumRows()` The number of rows of controls to display in each column.
    `static ToolStripGroup` | `getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)`
    `int` | `getRowHeight()` The height of rows in each column.
    `java.lang.String` | `getStyleName()` CSS class applied to this ToolStripGroup.
    `java.lang.String` | `getTitle()` The title text to display in this group's `title label`.
    `Alignment` | `getTitleAlign()` Controls the horizontal alignment of the group's `title-text`, within its `label`.
    `int` | `getTitleHeight()` Controls the height of the `title label` in this group.
    `VerticalAlignment` | `getTitleOrientation()` Controls the `vertical orientation` of this group's `title label`.
    `Label` | `getTitleProperties()` Deprecated. set these properties directly via the `label autoChild`
    `java.lang.String` | `getTitleStyle()` CSS class applied to the `title label` in this group.
    `void` | `reflowControls()` Forces this group to reflow following changes to attributes that affect layout, like `numRows`.
    `void` | `removeControl(Canvas control)` Removes a control from this toolStripGroup, destroying an existing `column` if this is the last widget in that column.
    `void` | `setAutoSizeToTitle(java.lang.Boolean autoSizeToTitle)` By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible.
    `void` | `setBodyConstructor(java.lang.String bodyConstructor)` Smart GWT class for the body.
    `void` | `setControls(Canvas... controls)` The array of controls to show in this group.
    `static void` | `setDefaultProperties(ToolStripGroup toolStripGroupProperties)` Class level method to set the default properties of this class.
    `void` | `setLabelConstructor(java.lang.String labelConstructor)` Smart GWT class for the `title label` AutoChild.
    `com.smartgwt.logicalstructure.core.LogicalStructureObject` | `setLogicalStructure(com.smartgwt.logicalstructure.widgets.toolbar.ToolStripGroupLogicalStructure s)` Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
    `void` | `setNumRows(int numRows)` The number of rows of controls to display in each column.
    `void` | `setRowHeight(int rowHeight)` The height of rows in each column.
    `void` | `setShowTitle(boolean showTitle)` This method forcibly shows or hides this group's `title label` after initial draw.
    `void` | `setStyleName(java.lang.String styleName)` CSS class applied to this ToolStripGroup.
    `void` | `setTitle(java.lang.String title)` The title text to display in this group's `title label`.
    `void` | `setTitleAlign(Alignment titleAlign)` Controls the horizontal alignment of the group's `title-text`, within its `label`.
    `void` | `setTitleHeight(int titleHeight)` Controls the height of the `title label` in this group.
    `void` | `setTitleOrientation(VerticalAlignment titleOrientation)` Controls the `vertical orientation` of this group's `title label`.
    `void` | `setTitleStyle(java.lang.String titleStyle)` CSS class applied to the `title label` in this group.

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.VLayout

      `setDefaultProperties, setLogicalStructure`

    - ### Methods inherited from class com.smartgwt.client.widgets.layout.Layout

      `addMember, addMember, addMember, addMember, addMemberPostCreate, addMemberPostCreate, addMemberPreCreate, addMemberPreCreate, addMembers, addMembers, addMembersChangedHandler, getAnimateMembers, getAnimateMemberTime, getCanDropComponents, getChildTabPosition, getDefaultResizeBars, getDropComponent, getDropLine, getDropLineThickness, getDropPosition, getEditProxyConstructor, getEnforcePolicy, getHPolicy, getLayoutBottomMargin, getLayoutEndMargin, getLayoutLeftMargin, getLayoutMargin, getLayoutRightMargin, getLayoutStartMargin, getLayoutTopMargin, getLeaveScrollbarGap, getLocateMembersBy, getLocateMembersType, getManagePercentBreadth, getMember, getMember, getMemberDefaultBreadth, getMemberNumber, getMemberNumber, getMemberOverlap, getMembers, getMembersLength, getMembersMargin, getMinMemberLength, getMinMemberSize, getOverflow, getPaddingAsLayoutMargin, getResizeBar, getResizeBarClass, getResizeBarSize, getReverseOrder, getShowDragPlaceHolder, getShowDropLines, getStackZIndex, getVertical, getVPolicy, hasMember, hideDropLine, hideMember, hideMember, layoutIsDirty, onInit_Layout, onInit, reflow, reflow, reflowNow, removeMember, removeMembers, removeMembers, reorderMember, reorderMembers, revealChild, revealChild, setAlign, setAlign, setAnimateMembers, setAnimateMemberTime, setCanDropComponents, setDefaultLayoutAlign, setDefaultLayoutAlign, setDefaultProperties, setDefaultResizeBars, setDropLineProperties, setDropLineThickness, setEditProxyConstructor, setEnforcePolicy, setHPolicy, setLayoutBottomMargin, setLayoutEndMargin, setLayoutLeftMargin, setLayoutMargin, setLayoutRightMargin, setLayoutStartMargin, setLayoutTopMargin, setLeaveScrollbarGap, setLocateMembersBy, setLocateMembersType, setLogicalStructure, setManagePercentBreadth, setMemberOverlap, setMembers, setMembersMargin, setMinBreadthMember, setMinBreadthMember, setMinBreadthMember, setMinMemberLength, setMinMemberSize, setOverflow, setPaddingAsLayoutMargin, setPlaceHolderDefaults, setPlaceHolderProperties, setResizeBarClass, setResizeBarSize, setReverseOrder, setShowDragPlaceHolder, setShowDropLines, setStackZIndex, setVertical, setVisibleMember, setVPolicy, showMember, showMember`

    - ### Methods inherited from class com.smartgwt.client.widgets.Canvas

      `addChild, addChild, addChild, addChild, addChild, addClearHandler, addClickHandler, addDoubleClickHandler, addDragMoveHandler, addDragRepositionMoveHandler, addDragRepositionStartHandler, addDragRepositionStopHandler, addDragResizeMoveHandler, addDragResizeStartHandler, addDragResizeStopHandler, addDragStartHandler, addDragStopHandler, addDropHandler, addDropMoveHandler, addDropOutHandler, addDropOverHandler, addFocusChangedHandler, addHoverHandler, addHoverHiddenHandler, addKeyDownHandler, addKeyPressHandler, addMouseDownHandler, addMouseMoveHandler, addMouseOutHandler, addMouseOverHandler, addMouseStillDownHandler, addMouseUpHandler, addMouseWheelHandler, addMovedHandler, addParentMovedHandler, addPeer, addPeer, addPeer, addPeer, addResizedHandler, addRightMouseDownHandler, addRuleContextChangedHandler, addScrolledHandler, addShowContextMenuHandler, addSnapAlignCandidate, addStyleName, addVisibilityChangedHandler, adjustForContent, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateFade, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateHide, animateMove, animateMove, animateMove, animateMove, animateRect, animateRect, animateRect, animateRect, animateResize, animateResize, animateResize, animateResize, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateScroll, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, animateShow, asSGWTComponent, blur, bringToFront, clear, clearExplicitTabIndex, clickMaskUp, clickMaskUp, contains, contains, containsEvent, containsFocus, containsPoint, containsPoint, deparent, depeer, disable, enable, encloses, focus, focusAfterGroup, focusAtEnd, focusInNextTabElement, focusInPreviousTabElement, getAbsoluteLeft, getAbsoluteTop, getAccessKey, getAdaptiveHeightPriority, getAdaptiveWidthPriority, getAlwaysShowScrollbars, getAnimateAcceleration, getAnimateFadeTime, getAnimateHideAcceleration, getAnimateHideEffect, getAnimateHideTime, getAnimateMoveAcceleration, getAnimateMoveTime, getAnimateRectAcceleration, getAnimateRectTime, getAnimateResizeAcceleration, getAnimateResizeLayoutMode, getAnimateResizeTime, getAnimateScrollAcceleration, getAnimateScrollTime, getAnimateShowAcceleration, getAnimateShowEffect, getAnimateShowTime, getAnimateTime, getAppImgDir, getAriaRole, getAutoMaskComponents, getAutoParent, getAutoShowParent, getBackgroundColor, getBackgroundImage, getBackgroundPosition, getBackgroundRepeat, getBorder, getBottom, getById, getByJSObject, getByLocalId, getCanAcceptDrop, getCanAdaptHeight, getCanAdaptWidth, getCanDrag, getCanDragReposition, getCanDragResize, getCanDragScroll, getCanDrop, getCanDropBefore, getCanFocus, getCanHover, getCanSelectText, getCanvasAutoChild, getCanvasItem, getChildren, getChildrenResizeSnapAlign, getChildrenSnapAlign, getChildrenSnapCenterAlign, getChildrenSnapEdgeAlign, getChildrenSnapResizeToGrid, getChildrenSnapToGrid, getClassName, getComponentMask, getComponentMaskDefaults, getContentElement, getContents, getContextMenu, getCorrectZoomOverflow, getCursor, getDataPath, getDefaultHeight, getDefaultWidth, getDestroyed, getDestroying, getDisabled, getDisabledCursor, getDisableTouchScrollingForDrag, getDoubleClickDelay, getDragAppearance, getDragIntersectStyle, getDragMaskType, getDragMaxHeight, getDragMaxWidth, getDragMinHeight, getDragMinWidth, getDragOpacity, getDragRepositionAppearance, getDragRepositionCursor, getDragResizeAppearance, getDragScrollDelay, getDragStartDistance, getDragTarget, getDragType, getDropTypes, getDropTypesAsString, getDynamicContents, getEdgeBackgroundColor, getEdgeCenterBackgroundColor, getEdgeImage, getEdgeMarginSize, getEdgeOffset, getEdgeOpacity, getEdgeShowCenter, getEdgeSize, getEditNode, getEditProxy, getElement, getElement, getEnableWhen, getEndLine, getEventEdge, getEventEdge, getExtraSpace, getFacetId, getFormItemAutoChild, getFullDataPath, getGroupBorderCSS, getGroupLabelBackgroundColor, getGroupLabelStyleName, getGroupTitle, getHeight, getHeightAsString, getHideUsingDisplayNone, getHoverAlign, getHoverAutoDestroy, getHoverAutoFitMaxWidth, getHoverAutoFitMaxWidthAsString, getHoverAutoFitWidth, getHoverComponent, getHoverDelay, getHoverHeight, getHoverHTML, getHoverMoveWithMouse, getHoverOpacity, getHoverStyle, getHoverVAlign, getHoverWidth, getHoverWrap, getHSnapOrigin, getHSnapOrigin, getHSnapPosition, getHSnapPosition, getHtmlElement, getHtmlPosition, getImage, getImgURL, getImgURL, getInnerContentHeight, getInnerContentWidth, getInnerHeight, getInnerWidth, getIsGroup, getIsPrinting, getIsRuleScope, getIsSnapAlignCandidate, getKeepInParentRect, getLayoutAlign, getLeavePageSpace, getLeft, getLeftAsString, getLocalId, getLocateChildrenBy, getLocateChildrenType, getLocatePeersBy, getLocatePeersType, getMargin, getMasterCanvas, getMasterElement, getMatchElement, getMaxHeight, getMaxWidth, getMaxZoomOverflowError, getMenuConstructor, getMinHeight, getMinNonEdgeSize, getMinWidth, getMomentumScrollMinSpeed, getMouseStillDownDelay, getMouseStillDownInitialDelay, getName, getNextZIndex, getNoDoubleClicks, getNoDropCursor, getOffsetHeight, getOffsetWidth, getOffsetX, getOffsetY, getOpacity, getOuterElement, getPadding, getPageBottom, getPageLeft, getPageRect, getPageRight, getPageTop, getPaletteDefaults, getPanelContainer, getParentCanvas, getParentElement, getPeers, getPercentBox, getPercentSource, getPosition, getPrefix, getPrintChildrenAbsolutelyPositioned, getPrintHTML, getPrintHTML, getPrompt, getProportionalResizeModifiers, getProportionalResizing, getReceiveScrollbarEvents, getRect, getRedrawOnResize, getResizeBarTarget, getResizeFrom, getRight, getRuleContext, getRuleContext, getRuleScope, getScrollbarSize, getScrollBottom, getScrollHeight, getScrollLeft, getScrollRight, getScrollTop, getScrollWidth, getShadowColor, getShadowDepth, getShadowHOffset, getShadowImage, getShadowOffset, getShadowSoftness, getShadowSpread, getShadowVOffset, getShouldPrint, getShowCustomScrollbars, getShowDragShadow, getShowEdges, getShowHover, getShowHoverComponents, getShowResizeBar, getShowShadow, getShowSnapGrid, getShrinkElementOnHide, getSizeMayChangeOnRedraw, getSkinImgDir, getSnapAlignCandidates, getSnapAlignCenterLineStyle, getSnapAlignEdgeLineStyle, getSnapAxis, getSnapEdge, getSnapHDirection, getSnapHGap, getSnapOffsetLeft, getSnapOffsetTop, getSnapOnDrop, getSnapPosition, getSnapPosition, getSnapResizeToAlign, getSnapResizeToGrid, getSnapTo, getSnapToAlign, getSnapToCenterAlign, getSnapToEdgeAlign, getSnapToGrid, getSnapVDirection, getSnapVGap, getStartLine, getTabIndex, getTestInstance, getTooltip, getTop, getTopAsString, getTopElement, getUpdateTabPositionOnDraw, getUpdateTabPositionOnReparent, getUseBackMask, getUseCSSShadow, getUseDragMask, getUseImageForSVG, getUseNativeDrag, getUseOpacityFilter, getUseTouchScrolling, getValuesManager, getValuesManagerAsString, getViewportHeight, getViewportWidth, getVisibility, getVisibleHeight, getVisibleWhen, getVisibleWidth, getVSnapOrigin, getVSnapOrigin, getVSnapPosition, getVSnapPosition, getWidth, getWidthAsString, getZIndex, getZIndex, handleHover, hide, hideClickMask, hideClickMask, hideComponentMask, hideComponentMask, hideContextMenu, imgHTML, imgHTML, imgHTML, intersects, isDirty, isDisabled, isFocused, isVisible, keyUp, layoutChildren, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, linkHTML, markForDestroy, markForRedraw, markForRedraw, moveAbove, moveBelow, moveBy, moveTo, onAttach, onDetach, pageScrollDown, pageScrollUp, parentResized, placeNear, placeNear, placeNear, printComponents, provideRuleContext, provideRuleContext, redraw, redraw, registerFontScaledPaddingStyles, removeChild, removeChild, removePeer, removePeer, removeSnapAlignCandidate, resizeAutoChildAttributes, resizeBy, resizeControls, resizeFonts, resizeFonts, resizeFonts, resizeIcons, resizePadding, resizePadding, resizeTo, resizeTo, scrollBy, scrollByPercent, scrollTo, scrollTo, scrollTo, scrollToBottom, scrollToLeft, scrollToPercent, scrollToRight, scrollToTop, sendToBack, setAccessKey, setAdaptHeightByCustomizer, setAdaptiveHeightPriority, setAdaptiveWidthPriority, setAdaptWidthByCustomizer, setAllowExternalFilters, setAlwaysShowScrollbars, setAnimateAcceleration, setAnimateFadeTime, setAnimateHideAcceleration, setAnimateHideEffect, setAnimateHideTime, setAnimateMoveAcceleration, setAnimateMoveTime, setAnimateRectAcceleration, setAnimateRectTime, setAnimateResizeAcceleration, setAnimateResizeLayoutMode, setAnimateResizeTime, setAnimateScrollAcceleration, setAnimateScrollTime, setAnimateShowAcceleration, setAnimateShowEffect, setAnimateShowTime, setAnimateTime, setAppImgDir, setAriaRole, setAriaState, setAutoChildConstructor, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildProperties, setAutoChildVisibility, setAutoHeight, setAutoMaskComponents, setAutoParent, setAutoResizeAutoChildAttributes, setAutoResizeIcons, setAutoShowParent, setAutoWidth, setBackgroundColor, setBackgroundImage, setBackgroundPosition, setBackgroundRepeat, setBorder, setBottom, setCanAcceptDrop, setCanAdaptHeight, setCanAdaptWidth, setCanDrag, setCanDragReposition, setCanDragResize, setCanDragScroll, setCanDrop, setCanDropBefore, setCanFocus, setCanHover, setCanSelectText, setChildren, setChildrenResizeSnapAlign, setChildrenSnapAlign, setChildrenSnapCenterAlign, setChildrenSnapEdgeAlign, setChildrenSnapResizeToGrid, setChildrenSnapToGrid, setComponentMaskDefaults, setContents, setContextMenu, setCorrectZoomOverflow, setCursor, setDataPath, setDefaultHeight, setDefaultPageSpace, setDefaultProperties, setDefaultShowCustomScrollbars, setDefaultWidth, setDisabled, setDisabledCursor, setDisableTouchScrollingForDrag, setDoubleClickDelay, setDragAppearance, setDragIntersectStyle, setDragMaskType, setDragMaxHeight, setDragMaxWidth, setDragMinHeight, setDragMinWidth, setDragOpacity, setDragRepositionAppearance, setDragRepositionCursor, setDragResizeAppearance, setDragScrollDelay, setDragStartDistance, setDragTarget, setDragType, setDropTypes, setDropTypes, setDynamicContents, setEdgeBackgroundColor, setEdgeCenterBackgroundColor, setEdgeImage, setEdgeMarginSize, setEdgeOffset, setEdgeOpacity, setEdgeShowCenter, setEdgeSize, setEditMode, setEditMode, setEditMode, setElement, setEnableWhen, setEndLine, setExtraSpace, setFacetId, setGroupBorderCSS, setGroupLabelBackgroundColor, setGroupLabelStyleName, setGroupTitle, setHeight, setHeight, setHeight, setHeight100, setHideUsingDisplayNone, setHoverAlign, setHoverAutoDestroy, setHoverAutoFitMaxWidth, setHoverAutoFitMaxWidth, setHoverAutoFitWidth, setHoverDelay, setHoverHeight, setHoverMoveWithMouse, setHoverOpacity, setHoverStyle, setHoverVAlign, setHoverWidth, setHoverWrap, setHtmlElement, setHtmlPosition, setImage, setImage, setInitHandler, setIsGroup, setIsRuleScope, setIsSnapAlignCandidate, setKeepInParentRect, setKeepInParentRect, setKeepInParentRect, setLayoutAlign, setLayoutAlign, setLeavePageSpace, setLeft, setLeft, setLocateChildrenBy, setLocateChildrenType, setLocatePeersBy, setLocatePeersType, setLogicalStructure, setMargin, setMatchElement, setMaxHeight, setMaxWidth, setMaxZoomOverflowError, setMenuConstructor, setMinHeight, setMinNonEdgeSize, setMinWidth, setMomentumScrollMinSpeed, setMouseStillDownDelay, setMouseStillDownInitialDelay, setName, setNeverUseFilters, setNoDoubleClicks, setNoDropCursor, setOpacity, setPadding, setPageLeft, setPageTop, setPanelContainer, setParentCanvas, setParentElement, setPeers, setPercentBox, setPercentSource, setPosition, setPrefix, setPrintChildrenAbsolutelyPositioned, setPrompt, setProportionalResizeModifiers, setProportionalResizing, setReceiveScrollbarEvents, setRect, setRect, setRedrawOnResize, setRelativeTabPosition, setResizeBarTarget, setResizeFrom, setResizeFrom, setRight, setRuleScope, setScrollbarConstructor, setScrollbarSize, setShadowColor, setShadowDepth, setShadowHOffset, setShadowImage, setShadowOffset, setShadowSoftness, setShadowSpread, setShadowVOffset, setShouldPrint, setShowCustomScrollbars, setShowDragShadow, setShowEdges, setShowHover, setShowHoverComponents, setShowResizeBar, setShowShadow, setShowSnapGrid, setShrinkElementOnHide, setSizeMayChangeOnRedraw, setSkinImgDir, setSmoothFade, setSnapAlignCandidates, setSnapAlignCenterLineStyle, setSnapAlignEdgeLineStyle, setSnapAxis, setSnapEdge, setSnapHDirection, setSnapHGap, setSnapOffsetLeft, setSnapOffsetTop, setSnapOnDrop, setSnapResizeToAlign, setSnapResizeToGrid, setSnapTo, setSnapToAlign, setSnapToCenterAlign, setSnapToEdgeAlign, setSnapToGrid, setSnapVDirection, setSnapVGap, setStartLine, setTabIndex, setTooltip, setTop, setTop, setUpdateTabPositionOnDraw, setUpdateTabPositionOnReparent, setUseBackMask, setUseCSSShadow, setUseDragMask, setUseImageForSVG, setUseNativeDrag, setUseOpacityFilter, setUseTouchScrolling, setValuesManager, setValuesManager, setVisibility, setVisible, setVisibleWhen, setWidth, setWidth, setWidth, setWidth100, setZIndex, shouldDragScroll, show, showClickMask, showComponentMask, showComponentMask, showNextTo, showNextTo, showNextTo, showNextTo, showPrintPreview, showPrintPreview, showPrintPreview, showPrintPreview, showRecursively, updateChildTabPosition, updateChildTabPositions, updateEditNode, updateHover, updateHover, updateShadow, updateTabPositionForDraw, visibleAtPoint, willAcceptDrop`

    - ### Methods inherited from class com.smartgwt.client.widgets.BaseWidget

      `addDrawHandler, addDynamicProperty, addDynamicProperty, addDynamicProperty, applyFactoryProperties, clearDynamicProperty, completeCreation, destroy, doAddHandler, doInit, doOnRender, draw, equals, error, errorIfNotCreated, getAttribute, getAttributeAsBoolean, getAttributeAsDate, getAttributeAsDateArray, getAttributeAsDouble, getAttributeAsElement, getAttributeAsFloat, getAttributeAsFloatArray, getAttributeAsInt, getAttributeAsIntArray, getAttributeAsJavaScriptObject, getAttributeAsMap, getAttributeAsRecord, getAttributeAsString, getAttributeAsStringArray, getConfig, getDOM, getHandlerCount, getID, getInnerHTML, getJsObj, getOrCreateJsObj, getRef, getScClassName, hasAutoAssignedID, hasDynamicProperty, hashCode, initNativeObject, internalSetID, internalSetID, isConfigOnly, isCreated, isDrawn, isFactoryCreated, onBind, onDestroy, onDraw, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setAttribute, setConfig, setConfigOnly, setDefaultProperties, setDragTracker, setFactoryCreated, setID, setJavaScriptObject, setLogicalStructure, setLogicalStructure, setNullProperty, setPosition, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setProperty, setScClassName, toString`

    - ### Methods inherited from class com.google.gwt.user.client.ui.Widget

      `addAttachHandler, addBitlessDomHandler, addDomHandler, addHandler, asWidget, asWidgetOrNull, createHandlerManager, delegateEvent, doAttachChildren, doDetachChildren, fireEvent, getLayoutData, getParent, isAttached, isOrWasAttached, onBrowserEvent, onLoad, onUnload, removeFromParent, setLayoutData, sinkEvents, unsinkEvents`

    - ### Methods inherited from class com.google.gwt.user.client.ui.UIObject

      `addStyleDependentName, ensureDebugId, ensureDebugId, ensureDebugId, getStyleElement, getStyleName, getStylePrimaryName, getStylePrimaryName, isVisible, onEnsureDebugId, removeStyleDependentName, removeStyleName, resolvePotentialElement, setElement, setPixelSize, setSize, setStyleDependentName, setStyleName, setStyleName, setStyleName, setStylePrimaryName, setStylePrimaryName, setVisible, sinkBitlessEvent`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

    - ### Methods inherited from interface com.google.gwt.event.shared.HasHandlers

      `fireEvent`

- - ### Constructor Detail

    - #### ToolStripGroup

          public ToolStripGroup()

    - #### ToolStripGroup

          public ToolStripGroup(com.google.gwt.core.client.JavaScriptObject jsObj)

  - ### Method Detail

    - #### getOrCreateRef

          public static ToolStripGroup getOrCreateRef(com.google.gwt.core.client.JavaScriptObject jsObj)

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     Canvas defaults)

      Changes the defaults for Canvas AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - Canvas defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### changeAutoChildDefaults

          public static void changeAutoChildDefaults(java.lang.String autoChildName,
                                                     FormItem defaults)

      Changes the defaults for FormItem AutoChildren named `autoChildName`.
      Parameters:
        `autoChildName` - name of an AutoChild to customize the defaults for.
        `defaults` - FormItem defaults to apply. These defaults override any existing properties without destroying or wiping out non-overridden properties. For usage tips on this param, see `SGWTProperties`.
      See Also:
        `AutoChildUsage`

    - #### create

          protected com.google.gwt.core.client.JavaScriptObject create()

      Overrides:
        `create` in class `VLayout`

    - #### setAutoSizeToTitle

          public void setAutoSizeToTitle(java.lang.Boolean autoSizeToTitle)
                                  throws java.lang.IllegalStateException

      By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible. To prevent this bahavior and have group-titles cut off when they're wider than the buttons they contain, set this attribute to false
      Parameters:
        `autoSizeToTitle` - New autoSizeToTitle value. Default value is true
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getAutoSizeToTitle

          public java.lang.Boolean getAutoSizeToTitle()

      By default, ToolStripGroups are assigned a minimum width that allows the entire title to be visible. To prevent this bahavior and have group-titles cut off when they're wider than the buttons they contain, set this attribute to false
      Returns:
        Current autoSizeToTitle value. Default value is true

    - #### getBody

          public HLayout getBody()
                          throws java.lang.IllegalStateException

      HLayout autoChild that manages multiple `VLayouts` containing controls.

      This component is an AutoChild named "body". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current body value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setBodyConstructor

          public void setBodyConstructor(java.lang.String bodyConstructor)
                                  throws java.lang.IllegalStateException

      Smart GWT class for the body.

      Note : This is an advanced setting

      Parameters:
        `bodyConstructor` - New bodyConstructor value. Default value is "HLayout"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getBodyConstructor

          public java.lang.String getBodyConstructor()

      Smart GWT class for the body.
      Returns:
        Current bodyConstructor value. Default value is "HLayout"

    - #### getColumnLayout

          public VLayout getColumnLayout()

      Note : This API is non-functional (always returns null) and exists only to make you aware that this MultiAutoChild exists. See `Using AutoChildren` for details.

      AutoChild VLayouts created automatically by groups. Each manages a single column of child controls in the group. Child controls that support `rowSpan` may specify it in order to occupy more than one row in a single column. See `numRows` for related information.

      Returns:
        null

    - #### setControls

          public void setControls(Canvas... controls)

      The array of controls to show in this group.
      If this method is called after the component has been drawn/initialized: Clears the array of controls and then adds the passed array to this toolStripGroup, creating new `columns` as necessary, according to each control's `rowSpan` attribute and the group's `numRows` attribute.
      Parameters:
        `controls` - an array of widgets to add to this group. Default value is null

    - #### getControls

          public Canvas[] getControls()

      The array of controls to show in this group.
      Returns:
        Current controls value. Default value is null

    - #### getLabel

          public Label getLabel()
                         throws java.lang.IllegalStateException

      AutoChild `Label` used to display the `title text` for this group.

      Can be customized via the standard `com.smartgwt.client.types.AutoChild` pattern, and various convenience APIs exist for configuring it after initial draw: see `setShowTitle`, `setTitle`, `setTitleAlign`, `setTitleHeight`, `setTitleOrientation` and `setTitleStyle`.

      This component is an AutoChild named "label". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current label value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setLabelConstructor

          public void setLabelConstructor(java.lang.String labelConstructor)
                                   throws java.lang.IllegalStateException

      Smart GWT class for the `title label` AutoChild.

      Note : This is an advanced setting

      Parameters:
        `labelConstructor` - New labelConstructor value. Default value is "Label"
      Throws:
        `java.lang.IllegalStateException` - this property cannot be changed after the component has been created

    - #### getLabelConstructor

          public java.lang.String getLabelConstructor()

      Smart GWT class for the `title label` AutoChild.
      Returns:
        Current labelConstructor value. Default value is "Label"

    - #### getLabelLayout

          public HLayout getLabelLayout()
                                 throws java.lang.IllegalStateException

      HLayout autoChild that houses the `label` in which the `title text` is displayed.

      This can be customized via the standard `com.smartgwt.client.types.AutoChild` pattern.

      This component is an AutoChild named "labelLayout". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current labelLayout value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setNumRows

          public void setNumRows(int numRows)

      The number of rows of controls to display in each column. Each control will take one row in a `columnLayout` by default, but those that support the feature may specify `rowSpan` to override that.

      Note that settings like this, which affect the group's layout, are not applied directly if changed at runtime - a call to `reflowControls` will force the group to reflow.

      Parameters:
        `numRows` - New numRows value. Default value is 1

    - #### getNumRows

          public int getNumRows()

      The number of rows of controls to display in each column. Each control will take one row in a `columnLayout` by default, but those that support the feature may specify `rowSpan` to override that.

      Note that settings like this, which affect the group's layout, are not applied directly if changed at runtime - a call to `reflowControls` will force the group to reflow.

      Returns:
        Current numRows value. Default value is 1

    - #### setRowHeight

          public void setRowHeight(int rowHeight)

      The height of rows in each column.
      Parameters:
        `rowHeight` - New rowHeight value. Default value is 26

    - #### getRowHeight

          public int getRowHeight()

      The height of rows in each column.
      Returns:
        Current rowHeight value. Default value is 26

    - #### setStyleName

          public void setStyleName(java.lang.String styleName)

      CSS class applied to this ToolStripGroup.
      Overrides:
        `setStyleName` in class `Canvas`
      Parameters:
        `styleName` - New styleName value. Default value is "toolStripGroup"
      See Also:
        `CSSStyleName`

    - #### getStyleName

          public java.lang.String getStyleName()

      CSS class applied to this ToolStripGroup.
      Overrides:
        `getStyleName` in class `Canvas`
      Returns:
        Current styleName value. Default value is "toolStripGroup"
      See Also:
        `CSSStyleName`

    - #### setTitle

          public void setTitle(java.lang.String title)

      The title text to display in this group's `title label`.
      If this method is called after the component has been drawn/initialized: Sets the `text` to display in this group's `title label` after initial draw.
      Overrides:
        `setTitle` in class `Canvas`
      Parameters:
        `title` - The new title for this group. Default value is null

    - #### getTitle

          public java.lang.String getTitle()

      The title text to display in this group's `title label`.
      Overrides:
        `getTitle` in class `Canvas`
      Returns:
        Current title value. Default value is null

    - #### setTitleAlign

          public void setTitleAlign(Alignment titleAlign)

      Controls the horizontal alignment of the group's `title-text`, within its `label`. Setting this attribute overrides the default specified by `groupTitleAlign` on the containing `ToolStrip`.
      If this method is called after the component has been drawn/initialized: This method forcibly sets the horizontal alignment of the `title-text`, within the `title label`, after initial draw.
      Parameters:
        `titleAlign` - the new alignment for the text, left or right. Default value is "center"

    - #### getTitleAlign

          public Alignment getTitleAlign()

      Controls the horizontal alignment of the group's `title-text`, within its `label`. Setting this attribute overrides the default specified by `groupTitleAlign` on the containing `ToolStrip`.
      Returns:
        Current titleAlign value. Default value is "center"

    - #### setTitleHeight

          public void setTitleHeight(int titleHeight)

      Controls the height of the `title label` in this group.
      If this method is called after the component has been drawn/initialized: This method forcibly sets the height of this group's `title label` after initial draw.
      Parameters:
        `titleHeight` - the new height for the `title label`. Default value is 18

    - #### getTitleHeight

          public int getTitleHeight()

      Controls the height of the `title label` in this group.
      Returns:
        Current titleHeight value. Default value is 18

    - #### setTitleOrientation

          public void setTitleOrientation(VerticalAlignment titleOrientation)

      Controls the `vertical orientation` of this group's `title label`. Setting this attribute overrides the default specified by `groupTitleOrientation` on the containing `ToolStrip`.
      If this method is called after the component has been drawn/initialized: This method forcibly sets the `vertical orientation` of this group's `title label` after initial draw.
      Parameters:
        `titleOrientation` - the new orientation for the title, either bottom or top. Default value is "top"

    - #### getTitleOrientation

          public VerticalAlignment getTitleOrientation()

      Controls the `vertical orientation` of this group's `title label`. Setting this attribute overrides the default specified by `groupTitleOrientation` on the containing `ToolStrip`.
      Returns:
        Current titleOrientation value. Default value is "top"

    - #### getTitleProperties

          public Label getTitleProperties()
                                   throws java.lang.IllegalStateException

      Deprecated. set these properties directly via the `label autoChild`
      AutoChild properties for fine customization of the `title label`.

      This component is an AutoChild named "titleProperties". For an overview of how to use and configure AutoChildren, see `Using AutoChildren`.

      Returns:
        Current titleProperties value. Default value is null
      Throws:
        `java.lang.IllegalStateException` - if this widget has not yet been rendered.

    - #### setTitleStyle

          public void setTitleStyle(java.lang.String titleStyle)

      CSS class applied to the `title label` in this group.
      If this method is called after the component has been drawn/initialized: This method forcibly sets the `CSS class name` for this group's `title label` after initial draw.
      Parameters:
        `titleStyle` - the CSS class to apply to the `title label`. Default value is "toolStripGroupTitle"
      See Also:
        `CSSStyleName`

    - #### getTitleStyle

          public java.lang.String getTitleStyle()

      CSS class applied to the `title label` in this group.
      Returns:
        Current titleStyle value. Default value is "toolStripGroupTitle"
      See Also:
        `CSSStyleName`

    - #### addControl

          public void addControl(Canvas control)

      Adds a control to this toolStripGroup, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
      Parameters:
        `control` - a widget to add to this group

    - #### addControl

          public void addControl(Canvas control,
                                 java.lang.Integer index)

      Adds a control to this toolStripGroup, creating a new `column` as necessary, according to the control's `rowSpan` value and the group's `numRows` value.
      Parameters:
        `control` - a widget to add to this group
        `index` - optional insertion index for this control

    - #### addControls

          public void addControls(Canvas... controls)

      Adds an array of controls to this group, creating new `columns` as necessary, according to each control's `rowSpan` value and the group's `numRows` value.
      Parameters:
        `controls` - an array of widgets to add to this group

    - #### getControlColumn

          public Layout getControlColumn(Canvas control)

      Return the `column widget` that contains the passed control.
      Parameters:
        `control` - the control to find in this group
      Returns:
        the column widget containing the passed control

    - #### reflowControls

          public void reflowControls()

      Forces this group to reflow following changes to attributes that affect layout, like `numRows`.

    - #### removeControl

          public void removeControl(Canvas control)

      Removes a control from this toolStripGroup, destroying an existing `column` if this is the last widget in that column.
      Parameters:
        `control` - a widget to remove from this group

    - #### setShowTitle

          public void setShowTitle(boolean showTitle)

      This method forcibly shows or hides this group's `title label` after initial draw.
      Parameters:
        `showTitle` - should the title be shown or hidden?

    - #### setDefaultProperties

          public static void setDefaultProperties(ToolStripGroup toolStripGroupProperties)

      Class level method to set the default properties of this class. If set, then all existing and subsequently created instances of this class will automatically have default properties corresponding to the properties set on the SmartGWT class instance passed to this function before its underlying SmartClient JS object was created. This is a powerful feature that eliminates the need for users to create a separate hierarchy of subclasses that only alter the default properties of this class. Can also be used for skinning / styling purposes.

      Note: This method is intended for setting default attributes only and will affect all instances of the underlying class (including those automatically generated in JavaScript). This method should not be used to apply standard EventHandlers or override methods for a class - use a custom subclass instead. Calling this method after instances have been created can result in undefined behavior, since it bypasses any setters and a class instance may have already examined a particular property and not be expecting any changes through this route.

      Parameters:
        `toolStripGroupProperties` - properties that should be used as new defaults when instances of this class are created
      See Also:
        `SGWTProperties`

    - #### setLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject setLogicalStructure(com.smartgwt.logicalstructure.widgets.toolbar.ToolStripGroupLogicalStructure s)

      Setter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.

    - #### getLogicalStructure

          public com.smartgwt.logicalstructure.core.LogicalStructureObject getLogicalStructure()

      Getter implementing the `LogicalStructure` interface, which supports Eclipse's logical structure debugging facility.
      Specified by:
        `getLogicalStructure` in interface `LogicalStructure`
      Overrides:
        `getLogicalStructure` in class `VLayout`